/// <reference types="node" />
/**
 * Represents a file within Stryker. Could be a strictly in-memory file.
 */
export default class File {
    readonly name: string;
    private _textContent;
    private readonly _content;
    /**
     * Creates a new File to be used within Stryker.
     * @param name The full name of the file (inc path)
     * @param content The buffered or string content of the file
     */
    constructor(name: string, content: Buffer | string);
    /**
     * Gets the underlying content as buffer.
     */
    readonly content: Buffer;
    /**
     * Gets the underlying content as string using utf8 encoding.
     */
    readonly textContent: string;
}
//# sourceMappingURL=File.d.ts.map